Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
<!–
Copyright 2021 VMware, Inc.
SPDX-License-Identifier: Mozilla Public License 2.0
–>
layout: “avi”
page_title: “AVI:<span pulumi-lang-nodejs=” avi.Wafprofile"" pulumi-lang-dotnet=" avi.Wafprofile"" pulumi-lang-go=" Wafprofile"" pulumi-lang-python=" Wafprofile"" pulumi-lang-yaml=" avi.Wafprofile"" pulumi-lang-java=" avi.Wafprofile""> avi.Wafprofile" sidebar_current: “docs-avi-datasource-wafprofile” description: |- Get information of Avi WafProfile.
# avi.Wafprofile This data source is used to to get avi.Wafprofile objects.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as avi from "@pulumi/avi";
const fooWafprofile = avi.getWafprofile({
uuid: "wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
name: "foo",
});
import pulumi
import pulumi_avi as avi
foo_wafprofile = avi.get_wafprofile(uuid="wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
name="foo")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/avi/v31/avi"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := avi.LookupWafprofile(ctx, &avi.LookupWafprofileArgs{
Uuid: pulumi.StringRef("wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b"),
Name: pulumi.StringRef("foo"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Avi = Pulumi.Avi;
return await Deployment.RunAsync(() =>
{
var fooWafprofile = Avi.GetWafprofile.Invoke(new()
{
Uuid = "wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b",
Name = "foo",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.avi.AviFunctions;
import com.pulumi.avi.inputs.GetWafprofileArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var fooWafprofile = AviFunctions.getWafprofile(GetWafprofileArgs.builder()
.uuid("wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b")
.name("foo")
.build());
}
}
variables:
fooWafprofile:
fn::invoke:
function: avi:getWafprofile
arguments:
uuid: wafprofile-f9cf6b3e-a411-436f-95e2-2982ba2b217b
name: foo
Using getWafprofile
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWafprofile(args: GetWafprofileArgs, opts?: InvokeOptions): Promise<GetWafprofileResult>
function getWafprofileOutput(args: GetWafprofileOutputArgs, opts?: InvokeOptions): Output<GetWafprofileResult>def get_wafprofile(id: Optional[str] = None,
name: Optional[str] = None,
tenant_ref: Optional[str] = None,
uuid: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWafprofileResult
def get_wafprofile_output(id: Optional[pulumi.Input[str]] = None,
name: Optional[pulumi.Input[str]] = None,
tenant_ref: Optional[pulumi.Input[str]] = None,
uuid: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWafprofileResult]func LookupWafprofile(ctx *Context, args *LookupWafprofileArgs, opts ...InvokeOption) (*LookupWafprofileResult, error)
func LookupWafprofileOutput(ctx *Context, args *LookupWafprofileOutputArgs, opts ...InvokeOption) LookupWafprofileResultOutput> Note: This function is named LookupWafprofile in the Go SDK.
public static class GetWafprofile
{
public static Task<GetWafprofileResult> InvokeAsync(GetWafprofileArgs args, InvokeOptions? opts = null)
public static Output<GetWafprofileResult> Invoke(GetWafprofileInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWafprofileResult> getWafprofile(GetWafprofileArgs args, InvokeOptions options)
public static Output<GetWafprofileResult> getWafprofile(GetWafprofileArgs args, InvokeOptions options)
fn::invoke:
function: avi:index/getWafprofile:getWafprofile
arguments:
# arguments dictionaryThe following arguments are supported:
- id str
- name str
- Search WafProfile by name.
- tenant_
ref str - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid str
- Search WafProfile by uuid.
getWafprofile Result
The following output properties are available:
- Configpb
Attributes List<GetWafprofile Configpb Attribute> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Configs
List<Get
Wafprofile Config> - Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Description string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Files
List<Get
Wafprofile File> - List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Id string
- Markers
List<Get
Wafprofile Marker> - List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Name string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Uuid string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Configpb
Attributes []GetWafprofile Configpb Attribute - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Configs
[]Get
Wafprofile Config - Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Description string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Files
[]Get
Wafprofile File - List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Id string
- Markers
[]Get
Wafprofile Marker - List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Name string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- Uuid string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes List<GetWafprofile Configpb Attribute> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configs
List<Get
Wafprofile Config> - Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- files
List<Get
Wafprofile File> - List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id String
- markers
List<Get
Wafprofile Marker> - List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref String - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes GetWafprofile Configpb Attribute[] - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configs
Get
Wafprofile Config[] - Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- files
Get
Wafprofile File[] - List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id string
- markers
Get
Wafprofile Marker[] - List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref string - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid string
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb_
attributes Sequence[GetWafprofile Configpb Attribute] - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configs
Sequence[Get
Wafprofile Config] - Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description str
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- files
Sequence[Get
Wafprofile File] - List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id str
- markers
Sequence[Get
Wafprofile Marker] - List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name str
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant_
ref str - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid str
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configpb
Attributes List<Property Map> - Protobuf versioning for config pbs. Field introduced in 21.1.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- configs List<Property Map>
- Config params for waf. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- description String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- files List<Property Map>
- List of data files used for waf rules. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- id String
- markers List<Property Map>
- List of labels to be used for granular rbac. Field introduced in 20.1.5. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- name String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- tenant
Ref String - It is a reference to an object of type tenant. Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
- uuid String
- Field introduced in 17.2.1. Allowed with any value in enterprise, essentials, basic, enterprise with cloud services edition.
Supporting Types
GetWafprofileConfig
- Allowed
Http List<string>Versions - Allowed
Methods List<string> - Allowed
Request List<string>Content Type Charsets - Argument
Separator string - Client
Request stringMax Body Size - Content
Type List<GetMappings Wafprofile Config Content Type Mapping> - string
- Enable
Json stringParsing Limits - Enforce
Max stringBody Size - Ignore
Incomplete stringRequest Body Error - Json
Parsing List<GetLimits Wafprofile Config Json Parsing Limit> - Match
Element List<GetSub Parsers Wafprofile Config Match Element Sub Parser> - Max
Execution stringTime - Regex
Match stringLimit - Regex
Recursion stringLimit - Request
Body stringDefault Action - Request
Hdr stringDefault Action - Response
Body stringDefault Action - Response
Hdr stringDefault Action - Restricted
Extensions List<string> - Restricted
Headers List<string> - Send
Status stringHeader - Server
Response stringMax Body Size - Static
Extensions List<string> - Status
Code stringFor Rejected Requests - Status
Header stringName - Xml
Collection string - Xml
Xxe stringProtection
- Allowed
Http []stringVersions - Allowed
Methods []string - Allowed
Request []stringContent Type Charsets - Argument
Separator string - Client
Request stringMax Body Size - Content
Type []GetMappings Wafprofile Config Content Type Mapping - string
- Enable
Json stringParsing Limits - Enforce
Max stringBody Size - Ignore
Incomplete stringRequest Body Error - Json
Parsing []GetLimits Wafprofile Config Json Parsing Limit - Match
Element []GetSub Parsers Wafprofile Config Match Element Sub Parser - Max
Execution stringTime - Regex
Match stringLimit - Regex
Recursion stringLimit - Request
Body stringDefault Action - Request
Hdr stringDefault Action - Response
Body stringDefault Action - Response
Hdr stringDefault Action - Restricted
Extensions []string - Restricted
Headers []string - Send
Status stringHeader - Server
Response stringMax Body Size - Static
Extensions []string - Status
Code stringFor Rejected Requests - Status
Header stringName - Xml
Collection string - Xml
Xxe stringProtection
- allowed
Http List<String>Versions - allowed
Methods List<String> - allowed
Request List<String>Content Type Charsets - argument
Separator String - client
Request StringMax Body Size - content
Type List<GetMappings Wafprofile Config Content Type Mapping> - String
- enable
Json StringParsing Limits - enforce
Max StringBody Size - ignore
Incomplete StringRequest Body Error - json
Parsing List<GetLimits Wafprofile Config Json Parsing Limit> - match
Element List<GetSub Parsers Wafprofile Config Match Element Sub Parser> - max
Execution StringTime - regex
Match StringLimit - regex
Recursion StringLimit - request
Body StringDefault Action - request
Hdr StringDefault Action - response
Body StringDefault Action - response
Hdr StringDefault Action - restricted
Extensions List<String> - restricted
Headers List<String> - send
Status StringHeader - server
Response StringMax Body Size - static
Extensions List<String> - status
Code StringFor Rejected Requests - status
Header StringName - xml
Collection String - xml
Xxe StringProtection
- allowed
Http string[]Versions - allowed
Methods string[] - allowed
Request string[]Content Type Charsets - argument
Separator string - client
Request stringMax Body Size - content
Type GetMappings Wafprofile Config Content Type Mapping[] - string
- enable
Json stringParsing Limits - enforce
Max stringBody Size - ignore
Incomplete stringRequest Body Error - json
Parsing GetLimits Wafprofile Config Json Parsing Limit[] - match
Element GetSub Parsers Wafprofile Config Match Element Sub Parser[] - max
Execution stringTime - regex
Match stringLimit - regex
Recursion stringLimit - request
Body stringDefault Action - request
Hdr stringDefault Action - response
Body stringDefault Action - response
Hdr stringDefault Action - restricted
Extensions string[] - restricted
Headers string[] - send
Status stringHeader - server
Response stringMax Body Size - static
Extensions string[] - status
Code stringFor Rejected Requests - status
Header stringName - xml
Collection string - xml
Xxe stringProtection
- allowed_
http_ Sequence[str]versions - allowed_
methods Sequence[str] - allowed_
request_ Sequence[str]content_ type_ charsets - argument_
separator str - client_
request_ strmax_ body_ size - content_
type_ Sequence[Getmappings Wafprofile Config Content Type Mapping] - str
- enable_
json_ strparsing_ limits - enforce_
max_ strbody_ size - ignore_
incomplete_ strrequest_ body_ error - json_
parsing_ Sequence[Getlimits Wafprofile Config Json Parsing Limit] - match_
element_ Sequence[Getsub_ parsers Wafprofile Config Match Element Sub Parser] - max_
execution_ strtime - regex_
match_ strlimit - regex_
recursion_ strlimit - request_
body_ strdefault_ action - request_
hdr_ strdefault_ action - response_
body_ strdefault_ action - response_
hdr_ strdefault_ action - restricted_
extensions Sequence[str] - restricted_
headers Sequence[str] - send_
status_ strheader - server_
response_ strmax_ body_ size - static_
extensions Sequence[str] - status_
code_ strfor_ rejected_ requests - status_
header_ strname - xml_
collection str - xml_
xxe_ strprotection
- allowed
Http List<String>Versions - allowed
Methods List<String> - allowed
Request List<String>Content Type Charsets - argument
Separator String - client
Request StringMax Body Size - content
Type List<Property Map>Mappings - String
- enable
Json StringParsing Limits - enforce
Max StringBody Size - ignore
Incomplete StringRequest Body Error - json
Parsing List<Property Map>Limits - match
Element List<Property Map>Sub Parsers - max
Execution StringTime - regex
Match StringLimit - regex
Recursion StringLimit - request
Body StringDefault Action - request
Hdr StringDefault Action - response
Body StringDefault Action - response
Hdr StringDefault Action - restricted
Extensions List<String> - restricted
Headers List<String> - send
Status StringHeader - server
Response StringMax Body Size - static
Extensions List<String> - status
Code StringFor Rejected Requests - status
Header StringName - xml
Collection String - xml
Xxe StringProtection
GetWafprofileConfigContentTypeMapping
- Content
Type string - Match
Op string - Request
Body stringParser
- Content
Type string - Match
Op string - Request
Body stringParser
- content
Type String - match
Op String - request
Body StringParser
- content
Type string - match
Op string - request
Body stringParser
- content_
type str - match_
op str - request_
body_ strparser
- content
Type String - match
Op String - request
Body StringParser
GetWafprofileConfigJsonParsingLimit
- Max
Nesting stringLevel - Max
Subelements string - Max
Total stringElements - Max
Value stringLength
- Max
Nesting stringLevel - Max
Subelements string - Max
Total stringElements - Max
Value stringLength
- max
Nesting StringLevel - max
Subelements String - max
Total StringElements - max
Value StringLength
- max
Nesting stringLevel - max
Subelements string - max
Total stringElements - max
Value stringLength
- max
Nesting StringLevel - max
Subelements String - max
Total StringElements - max
Value StringLength
GetWafprofileConfigMatchElementSubParser
- Index string
- Match
Case string - Match
Element string - Match
Op string - Sub
Parser string
- Index string
- Match
Case string - Match
Element string - Match
Op string - Sub
Parser string
- index String
- match
Case String - match
Element String - match
Op String - sub
Parser String
- index string
- match
Case string - match
Element string - match
Op string - sub
Parser string
- index str
- match_
case str - match_
element str - match_
op str - sub_
parser str
- index String
- match
Case String - match
Element String - match
Op String - sub
Parser String
GetWafprofileConfigpbAttribute
- Version string
- Version string
- version String
- version string
- version str
- version String
GetWafprofileFile
GetWafprofileMarker
Package Details
- Repository
- avi vmware/terraform-provider-avi
- License
- Notes
- This Pulumi package is based on the
aviTerraform Provider.
Viewing docs for avi 31.2.2
published on Tuesday, Feb 10, 2026 by vmware
published on Tuesday, Feb 10, 2026 by vmware
